summaryrefslogtreecommitdiff
path: root/bg1/install-patch-baldurdash-fix.sh
diff options
context:
space:
mode:
Diffstat (limited to 'bg1/install-patch-baldurdash-fix.sh')
-rwxr-xr-xbg1/install-patch-baldurdash-fix.sh17
1 files changed, 16 insertions, 1 deletions
diff --git a/bg1/install-patch-baldurdash-fix.sh b/bg1/install-patch-baldurdash-fix.sh
index 939d4f6..be9b3be 100755
--- a/bg1/install-patch-baldurdash-fix.sh
+++ b/bg1/install-patch-baldurdash-fix.sh
@@ -1,4 +1,19 @@
#!/bin/bash
+# Copyright 2009 Nick White
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# See <http://www.gnu.org/licenses/> for a copy of the GNU General
+# Public License.
+#
# BG1/TOTSC Baldurdash fix pack
scriptdir="$(dirname $0)"/..
@@ -17,7 +32,7 @@ getpatch http://www.baldurdash.org/LargeDownloads/BG1FixPack11.exe
# part so don't print errors or die on failure
unzip -L $TMPDIR/BG1FixPack11.exe -d $TMPDIR 2>/dev/null
rm $TMPDIR/BG1FixPack11.exe $TMPDIR/bg1fixpack11readme.txt
-cp $TMPDIR/* "$TARGETDIR/override/" || die
+cp $TMPDIR/* "$TARGETDIR/override/" || diesoftly
cleanuptmp
setperms "$TARGETDIR"